/**
 * 初始化人才津贴申报详情对话框
 */
var TalentAllowanceFiletypeInfoDlg = {
    talentAllowanceFiletypeInfoData : {},
    validateFields: {
        talentType: {
            validators: {
                notEmpty: {
                    message: '申报人才标签不能为空'
                }
            }
        },
        inputPerson: {
            validators: {
                notEmpty: {
                    message: '录入人员不能为空'
                }
            }
        },
        name: {
            validators: {
                notEmpty: {
                    message: '附件类型名称不能为空'
                }
            }
        },
        api: {
            validators: {
                notEmpty: {
                    message: '附件类型api不能为空'
                }
            }
        },
        must: {
            validators: {
                notEmpty: {
                    message: '是否必传不能为空'
                }
            }
        },
        active:{
            validators: {
                notEmpty: {
                    message: '是否生效不能为空'
                }
            }
        },
        sn: {
            validators: {
                notEmpty: {
                    message: '排序不能为空'
                }
            }
        },
    }
};

/**
 * 清除数据
 */
TalentAllowanceFiletypeInfoDlg.clearData = function() {
    this.talentAllowanceFiletypeInfoData = {};
}

/**
 * 设置对话框中的数据
 *
 * @param key 数据的名称
 * @param val 数据的具体值
 */
TalentAllowanceFiletypeInfoDlg.set = function(key, val) {
    this.talentAllowanceFiletypeInfoData[key] = (typeof val == "undefined") ? $("#" + key).val() : val;
    return this;
}

/**
 * 设置对话框中的数据
 *
 * @param key 数据的名称
 * @param val 数据的具体值
 */
TalentAllowanceFiletypeInfoDlg.get = function(key) {
    return $("#" + key).val();
}

/**
 * 关闭此对话框
 */
TalentAllowanceFiletypeInfoDlg.close = function() {
    parent.layer.close(window.parent.TalentAllowanceFiletype.layerIndex);
}

/**
 * 收集数据
 */
TalentAllowanceFiletypeInfoDlg.collectData = function() {
    this
    .set('id')
    .set('talentType')
    .set('inputPerson')
    .set('name')
    .set('api')
    .set('must')
    .set('active')
    .set('checkCompany')
    .set('sn')
    .set('description')
    .set('createTime')
    .set('createUser')
    .set('updateTime')
    .set('updateUser');
}

/**
 * 提交添加
 */
TalentAllowanceFiletypeInfoDlg.addSubmit = function() {

    this.clearData();
    this.collectData();
    if (!this.validate()) {
        return;
    }
    $('#talentAllowanceFiletypeForm')[0].submit();
}

/**
 * 提交修改
 */
TalentAllowanceFiletypeInfoDlg.editSubmit = function() {

    this.clearData();
    this.collectData();
    if (!this.validate()) {
        return;
    }
    $('#talentAllowanceFiletypeForm')[0].submit();
}

/**
 * 验证数据
 */
TalentAllowanceFiletypeInfoDlg.validate = function(){
    $('#talentAllowanceFiletypeForm').data("bootstrapValidator").resetForm();
    $('#talentAllowanceFiletypeForm').bootstrapValidator('validate');
    return $("#talentAllowanceFiletypeForm").data('bootstrapValidator').isValid();
}

//回调
TalentAllowanceFiletypeInfoDlg.callBack = function (data) {
    Feng.success(data.msg);
    if(data.code=="200"){
        window.parent.TalentAllowanceFiletype.table.refresh();
        TalentAllowanceFiletypeInfoDlg.close();
    }
}

TalentAllowanceFiletypeInfoDlg.fileChange = function(context){
    var file  = $(context).val();
    var pos = file.lastIndexOf("\\");
    $("#templateUrl").val(file.substring(pos+1));
}

$(function() {
    Feng.addAjaxSelect({
        "id": "checkCompany",
        "displayCode": "id",
        "displayName": "name",
        "type": "GET",
        "url": Feng.ctxPath + "/company/selectAll"
    });
    //下拉框数据动态加载  - 人才类型
    Feng.addAjaxSelect({
        "id": "talentType",
        "displayCode": "code",
        "displayName": "name",
        "type": "GET",
        "url": Feng.ctxPath + "/dict/findChildDictByCode?code=un_jbt_talentType"
    });
    $("select").each(function () {
        $(this).val($(this).attr("selectVal"));
    });
    Feng.initValidator("talentAllowanceFiletypeForm", TalentAllowanceFiletypeInfoDlg.validateFields);
});
